org.codehaus.plexus.compiler

## Class AbstractCompilerTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.codehaus.plexus.compiler.AbstractCompilerTest

All Implemented Interfaces:
  junit.framework.Test

    public abstract class AbstractCompilerTest
    extends org.codehaus.plexus.PlexusTestCase

### Constructor Summary

Constructors
Constructor and Description
`AbstractCompilerTest()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected int` `compilerErrorCount(List<CompilerMessage> messages)`
`protected void` `configureCompilerConfig(CompilerConfiguration compilerConfig)`
`protected int` `expectedErrors()`
`protected Collection<String>` `expectedOutputFiles()`
`protected int` `expectedWarnings()`
`protected List<String>` `getClasspath()`
`protected String` `getJavaVersion()`
`protected File` `getLocalArtifactPath(org.apache.maven.artifact.Artifact artifact)`
`protected File` `getLocalArtifactPath(String groupId, String artifactId, String version, String type)`
`protected abstract String` `getRoleHint()`
`String` `getSourceVersion()`
`String` `getTargetVersion()`
`protected void` `setCompilerDebug(boolean flag)`
`protected void` `setCompilerDeprecationWarnings(boolean flag)`
`void` `setForceJavacCompilerUse(boolean forceJavacCompilerUse)`
`protected void` `setUp()`
`void` `testCompilingSources()`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer, tearDown, teardownContainer`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractCompilerTest

    public AbstractCompilerTest()

### Method Detail

#### getLocalArtifactPath

    protected File getLocalArtifactPath(org.apache.maven.artifact.Artifact artifact)

#### setUp

    protected void setUp()
                  throws Exception

Overrides:
  `setUp` in class `org.codehaus.plexus.PlexusTestCase`
Throws:
  `Exception`

#### getRoleHint

    protected abstract String getRoleHint()

#### setCompilerDebug

    protected void setCompilerDebug(boolean flag)

#### setCompilerDeprecationWarnings

    protected void setCompilerDeprecationWarnings(boolean flag)

#### setForceJavacCompilerUse

    public void setForceJavacCompilerUse(boolean forceJavacCompilerUse)

#### getClasspath

    protected List<String> getClasspath()
                                 throws Exception

Throws:
  `Exception`

#### configureCompilerConfig

    protected void configureCompilerConfig(CompilerConfiguration compilerConfig)

#### testCompilingSources

    public void testCompilingSources()
                              throws Exception

Throws:
  `Exception`

#### getTargetVersion

    public String getTargetVersion()

#### getSourceVersion

    public String getSourceVersion()

#### compilerErrorCount

    protected int compilerErrorCount(List<CompilerMessage> messages)

#### expectedErrors

    protected int expectedErrors()

#### expectedWarnings

    protected int expectedWarnings()

#### expectedOutputFiles

    protected Collection<String> expectedOutputFiles()

#### getLocalArtifactPath

    protected File getLocalArtifactPath(String groupId,
                                        String artifactId,
                                        String version,
                                        String type)

#### getJavaVersion

    protected String getJavaVersion()